#include "cinesim.h"
#include <QVBoxLayout>

// Application affichant une petite fenêtre horizontale de gestion du temps, dotée :
// des boutons Play/pause, Un_pas-dir/un_pas_inv, Inverse, Init et
// et d'un curseur pour faire évoluer le temps à la main
// La fenêtre de gestion du temps est un objet de la classe CommandWidget qui gère
// l'avancement du temps en fonction de l'appui sur ses boutons.

CineSim::CineSim(QWidget *parent) : QMainWindow(parent)
{
    setWindowTitle(QObject::tr("CineSim"));
    setFocusPolicy( Qt::StrongFocus);
    setWindowFlags( Qt::WindowStaysOnTopHint ); // Pour qu'elle reste toujours au-dessus

    dtime_ms = 40; // 40 ms, pour 25 images par secondes
    nech = 0;
    nechtot = 100;
    myControl = new CommandWidget(dtime_ms, nechtot, this);
    connect(myControl, SIGNAL(isTime(int)), this, SLOT(timeOutSlot(int)));

    // Widget ordinaire mis centre
    QWidget *centralWidget = new QWidget(this);
    setCentralWidget(centralWidget);
    // on le configure en QVBoxLayout
    QVBoxLayout *mainLayout = new QVBoxLayout();
    centralWidget->setLayout(mainLayout);
    mainLayout->addWidget(myControl);

    // LE MENU CONTEXTUEL
    // Activation Menu contextuel
    setContextMenuPolicy(Qt::ActionsContextMenu);
}


void CineSim::timeOutSlot(int n)
{
    setWindowTitle(QObject::tr("CineSim n = %1").arg(n));
}
