#include "confearthdialog.h"
#include "ui_confearthdialog.h"
#include "TerreGLWidget.h"
#include "../cinespace.h"


ConfEarthDialog::ConfEarthDialog(TerreGLWidget *s, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ConfEarthDialog), notinitok(true)
{
    ui->setupUi(this);

    setWindowTitle("Configuration observation Terre");
    terre = s;

    ui->comboBox_PtDeVue->addItem(tr("vue Terre du zénith local"));
    ui->comboBox_PtDeVue->addItem(tr("vue Terre depuis satellite"));
    ui->comboBox_PtDeVue->addItem(tr("vue Terre du rep. céleste"));
    ui->comboBox_PtDeVue->addItem(tr("vue Terre du rep. écliptique"));
    ui->comboBox_PtDeVue->addItem(tr("vue Terre du Soleil"));
    ui->comboBox_PtDeVue->addItem(tr("vue Lune depuis centre Terre"));
    ui->comboBox_PtDeVue->addItem(tr("vue Lune depuis rep. local"));
    ui->comboBox_PtDeVue->addItem(tr("vue système solaire"));

    sel_idx = terre->modePtVue;
    ui->comboBox_PtDeVue->setCurrentIndex(sel_idx);

    ui->checkBox_Lune->setChecked(terre->drawLune);
    ui->checkBox_Satellites->setChecked(terre->drawSatellites);

    ui->checkBox_Lune->setEnabled(false); // Toujours tracée

    notinitok = false;
}

ConfEarthDialog::~ConfEarthDialog()
{
    delete ui;
}

void ConfEarthDialog::on_comboBox_PtDeVue_currentIndexChanged(int index)
{
    if (notinitok) return;
    sel_idx = index;
}

// CLIC SUR UPDATE : On met à jour l'affichage
void ConfEarthDialog::on_pushButton_update_clicked()
{
    if (notinitok) return;
    // Si mode de projection a changé on le met à jour
    if (sel_idx != (int) terre->modePtVue)
    {
        terre->modePtVue = (ModePtVue) sel_idx;
        if (terre->modePtVue == toLUNE_A || terre->modePtVue == toLUNE_C)
        {
            terre->drawLune = true; ui->checkBox_Lune->setChecked(terre->drawLune);
        }

        terre->setProjection();
    }
    // On met à jour l'afficahge
    terre->update();
}

void ConfEarthDialog::on_checkBox_Lune_toggled(bool checked)
{
    if (notinitok) return;
    terre->drawLune = checked;
    terre->setProjection();  // car le ptdevue Lune était peut-être actif
    if (checked) terre->cine->majCine();
}

void ConfEarthDialog::on_checkBox_Satellites_toggled(bool checked)
{
    if (notinitok) return;
    terre->drawSatellites = checked;
    terre->setProjection(); // car le ptdevue satellite était peut-etre actif
    if (checked) terre->cine->majCine();
}
